[solved] Kann keine GUIs mehr als root ausführen

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Gesperrt
newgro
Newbie
Newbie
Beiträge: 7
Registriert: 10. Dez 2005, 09:38

[solved] Kann keine GUIs mehr als root ausführen

Beitrag von newgro » 26. Jul 2006, 09:57

Moin *,

ich versuche, wenn ich als normaler user angemeldet bin, z.B. "smart --gui" als root auszuführen. Leider bekomme ich nur noch Speicherzugriffsfehler. Auch yast kann ich nicht starten. Auf der Konsole geht smart update und upgrade wie immer.
Das ganze geht so seit meinem upgrade mit smart am Freitag.

rpm --rebuilddb habe ich schon gemacht.

Kann mir zufällig jemand sagen, was ich machen kann?

Hier mal das was gdb ausgibt:

Code: Alles auswählen

linux:/home/user/downloads # gdb --args /usr/bin/python /usr/bin/smart --gui
GNU gdb 6.4
Copyright 2005 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i586-suse-linux"...(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".

(gdb) run
Starting program: /usr/bin/python /usr/bin/smart --gui
(no debugging symbols found) ...
[Thread debugging using libthread_db enabled]
[New Thread -1211807552 (LWP 14754)]
(no debugging symbols found) ...

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1211807552 (LWP 14754)]
0xb713d664 in FcPatternDistributeBytes () from /usr/lib/libfontconfig.so.1
(gdb) bt
#0  0xb713d664 in FcPatternDistributeBytes () from /usr/lib/libfontconfig.so.1
#1  0xb713d6c7 in FcPatternFindElt () from /usr/lib/libfontconfig.so.1
#2  0xb713ed76 in FcPatternGet () from /usr/lib/libfontconfig.so.1
#3  0xb713f1d2 in FcPatternGetString () from /usr/lib/libfontconfig.so.1
#4  0xb712c8a0 in FcConfigBuildFonts () from /usr/lib/libfontconfig.so.1
#5  0xb71356ff in FcInitLoadConfigAndFonts () from /usr/lib/libfontconfig.so.1
#6  0xb7135805 in FcInit () from /usr/lib/libfontconfig.so.1
#7  0xb66b8d0b in XftInit () from /usr/X11R6/lib/libXft.so.2
#8  0xb68c92f5 in qt_init_internal () from /usr/lib/qt3/lib/libqt-mt.so.3
#9  0xb68c9feb in qt_init () from /usr/lib/qt3/lib/libqt-mt.so.3
#10 0xb6930863 in QApplication::QApplication () from /usr/lib/qt3/lib/libqt-mt.so.3
#11 0xb6e18114 in createQApp () from /opt/gnome/lib/gtk-2.0/2.4.0/engines/libqtengine.so
#12 0xb6e0a08f in theme_init () from /opt/gnome/lib/gtk-2.0/2.4.0/engines/libqtengine.so
#13 0xb74dc776 in gtk_theme_engine_get () from /opt/gnome/lib/libgtk-x11-2.0.so.0
#14 0xb7821eb8 in g_type_module_use () from /opt/gnome/lib/libgobject-2.0.so.0
#15 0xb74dc5a9 in gtk_theme_engine_get () from /opt/gnome/lib/libgtk-x11-2.0.so.0
#16 0xb74769f8 in gtk_rc_get_im_module_path () from /opt/gnome/lib/libgtk-x11-2.0.so.0
#17 0xb7476f8e in gtk_rc_get_im_module_path () from /opt/gnome/lib/libgtk-x11-2.0.so.0
#18 0xb74774e9 in gtk_rc_get_im_module_path () from /opt/gnome/lib/libgtk-x11-2.0.so.0
#19 0xb747769d in gtk_rc_get_im_module_path () from /opt/gnome/lib/libgtk-x11-2.0.so.0
#20 0xb7477af4 in gtk_rc_reparse_all_for_settings () from /opt/gnome/lib/libgtk-x11-2.0.so.0
#21 0xb74845d3 in gtk_settings_get_for_screen () from /opt/gnome/lib/libgtk-x11-2.0.so.0
#22 0xb7484695 in gtk_settings_get_default () from /opt/gnome/lib/libgtk-x11-2.0.so.0
#23 0xb74933ac in gtk_style_attach () from /opt/gnome/lib/libgtk-x11-2.0.so.0
#24 0xb7820b4a in g_type_create_instance () from /opt/gnome/lib/libgobject-2.0.so.0
#25 0xb7808602 in g_object_set () from /opt/gnome/lib/libgobject-2.0.so.0
#26 0xb780646a in g_object_newv () from /opt/gnome/lib/libgobject-2.0.so.0
#27 0xb7806f2f in g_object_new_valist () from /opt/gnome/lib/libgobject-2.0.so.0
#28 0xb78070e0 in g_object_new () from /opt/gnome/lib/libgobject-2.0.so.0
#29 0xb74930a7 in gtk_style_new () from /opt/gnome/lib/libgtk-x11-2.0.so.0
#30 0xb75292cd in gtk_widget_get_default_style () from /opt/gnome/lib/libgtk-x11-2.0.so.0
#31 0xb7529374 in gtk_widget_get_default_style () from /opt/gnome/lib/libgtk-x11-2.0.so.0
#32 0xb782097a in g_type_create_instance () from /opt/gnome/lib/libgobject-2.0.so.0
#33 0xb7808602 in g_object_set () from /opt/gnome/lib/libgobject-2.0.so.0
#34 0xb780646a in g_object_newv () from /opt/gnome/lib/libgobject-2.0.so.0
#35 0xb783e8f2 in initgobject () from /usr/lib/python2.4/site-packages/gtk-2.0/gobject.so
#36 0xb76919e0 in init_gtk () from /usr/lib/python2.4/site-packages/gtk-2.0/gtk/_gtk.so
#37 0xb7efa499 in PyType_IsSubtype () from /usr/lib/libpython2.4.so.1.0
#38 0xb7ecfe28 in PyDictProxy_New () from /usr/lib/libpython2.4.so.1.0
#39 0xb7ec1e17 in PyObject_Call () from /usr/lib/libpython2.4.so.1.0
#40 0xb7f1cca0 in PyEval_CallObjectWithKeywords () from /usr/lib/libpython2.4.so.1.0
#41 0xb7ecfb87 in PyWrapper_New () from /usr/lib/libpython2.4.so.1.0
#42 0xb7ec1e17 in PyObject_Call () from /usr/lib/libpython2.4.so.1.0
#43 0xb7f1eff6 in PyEval_EvalFrame () from /usr/lib/libpython2.4.so.1.0
#44 0xb7f23225 in PyEval_EvalCodeEx () from /usr/lib/libpython2.4.so.1.0
#45 0xb7ed957a in PyClassMethod_New () from /usr/lib/libpython2.4.so.1.0
#46 0xb7ec1e17 in PyObject_Call () from /usr/lib/libpython2.4.so.1.0
#47 0xb7ec7fa5 in PyClass_IsSubclass () from /usr/lib/libpython2.4.so.1.0
#48 0xb7ec1e17 in PyObject_Call () from /usr/lib/libpython2.4.so.1.0
#49 0xb7f0084e in _PyType_Lookup () from /usr/lib/libpython2.4.so.1.0
#50 0xb7efc375 in PyType_IsSubtype () from /usr/lib/libpython2.4.so.1.0
#51 0xb7ec1e17 in PyObject_Call () from /usr/lib/libpython2.4.so.1.0
#52 0xb7f1eff6 in PyEval_EvalFrame () from /usr/lib/libpython2.4.so.1.0
#53 0xb7f23225 in PyEval_EvalCodeEx () from /usr/lib/libpython2.4.so.1.0
#54 0xb7ed957a in PyClassMethod_New () from /usr/lib/libpython2.4.so.1.0
#55 0xb7ec1e17 in PyObject_Call () from /usr/lib/libpython2.4.so.1.0
#56 0xb7ec7fa5 in PyClass_IsSubclass () from /usr/lib/libpython2.4.so.1.0
#57 0xb7ec1e17 in PyObject_Call () from /usr/lib/libpython2.4.so.1.0
#58 0xb7f1eff6 in PyEval_EvalFrame () from /usr/lib/libpython2.4.so.1.0
#59 0xb7f23225 in PyEval_EvalCodeEx () from /usr/lib/libpython2.4.so.1.0
#60 0xb7ed957a in PyClassMethod_New () from /usr/lib/libpython2.4.so.1.0
#61 0xb7ec1e17 in PyObject_Call () from /usr/lib/libpython2.4.so.1.0
#62 0xb7ec7fa5 in PyClass_IsSubclass () from /usr/lib/libpython2.4.so.1.0
#63 0xb7ec1e17 in PyObject_Call () from /usr/lib/libpython2.4.so.1.0
#64 0xb7f0084e in _PyType_Lookup () from /usr/lib/libpython2.4.so.1.0
#65 0xb7efc375 in PyType_IsSubtype () from /usr/lib/libpython2.4.so.1.0
#66 0xb7ec1e17 in PyObject_Call () from /usr/lib/libpython2.4.so.1.0
#67 0xb7f1eff6 in PyEval_EvalFrame () from /usr/lib/libpython2.4.so.1.0
#68 0xb7f23225 in PyEval_EvalCodeEx () from /usr/lib/libpython2.4.so.1.0
#69 0xb7f217d6 in PyEval_EvalFrame () from /usr/lib/libpython2.4.so.1.0
#70 0xb7f23225 in PyEval_EvalCodeEx () from /usr/lib/libpython2.4.so.1.0
#71 0xb7f217d6 in PyEval_EvalFrame () from /usr/lib/libpython2.4.so.1.0
#72 0xb7f23225 in PyEval_EvalCodeEx () from /usr/lib/libpython2.4.so.1.0
#73 0xb7f217d6 in PyEval_EvalFrame () from /usr/lib/libpython2.4.so.1.0
#74 0xb7f228ce in PyEval_EvalFrame () from /usr/lib/libpython2.4.so.1.0
#75 0xb7f23225 in PyEval_EvalCodeEx () from /usr/lib/libpython2.4.so.1.0
#76 0xb7f232a3 in PyEval_EvalCode () from /usr/lib/libpython2.4.so.1.0
#77 0xb7f3da98 in Py_CompileString () from /usr/lib/libpython2.4.so.1.0
#78 0xb7f3f168 in PyRun_SimpleFileExFlags () from /usr/lib/libpython2.4.so.1.0
#79 0xb7f3f84a in PyRun_AnyFileExFlags () from /usr/lib/libpython2.4.so.1.0
#80 0xb7f45d1f in Py_Main () from /usr/lib/libpython2.4.so.1.0
#81 0x080485e2 in main ()

Werbung:
Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 26. Jul 2006, 10:06

wie wirst du denn root ?
mit su in einer Konsole ?
su, reicht nicht, dazu musst du mit xhost noch root erlauben auf den X-Server zuzugreifen.

mögliche Lösungen:
dann solltest du statt dessen sux verwenden, das erlaubt dann root auf den laufenden X-Server zuzugreifen

oder mit kdesu, das ist ein kleiner KDE-Dialog der dich nach dem root-Passwort fragt und dann das Programm startet.

für gnome gibt es auch so ein Programm gnomesu (da bin ich mir aber nicht sicher, ob der Name stimmt)
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

traffic
Guru
Guru
Beiträge: 2750
Registriert: 13. Feb 2005, 05:50

Beitrag von traffic » 26. Jul 2006, 10:14

Ins Blaue geraten: Deaktivier mal probehalber die gtk-qt-engine (Einstellung "Qt-Themes für GTK-Anwendungen benutzen" o.ä. im KDE-Kontrollzentrum).

Ansonsten könnte es evtl. noch "der" fontconfig-Bug sein. Welche SUSE-Version ist das denn?

newgro
Newbie
Newbie
Beiträge: 7
Registriert: 10. Dez 2005, 09:38

Beitrag von newgro » 27. Jul 2006, 09:46

Root werde ich mit su in der Konsole. Hatte vergessen, das ich natürlich xhost localhost gemacht hatte. sux bringt genau das gleiche Ergebnis.

Ich hätte auch noch hinzuschreiben sollen, das ich das Programm auch schon als normaler Nutzer gestartet hatte, dann der root-password-dialog kommt, ich das RICHTIGE passwort eingebe, der Rechner kurz rödelt und dann nix mehr macht (Ich denke mal dann kommt irgentwann der seg fault).

Leider kann ich keine GUIs als root ausführen (Systemverwaltungsmodus im Kontrollzentrum, root am kdm anmelden etc.), Damit kann ich auch nix auf disabled setzen (zumindest per gui nicht).

Wie bekomme ich raus ob es der font-config bug ist? Ich denke ja auch, das irgenteine lib falsch ist.

Cheers
Per

Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 27. Jul 2006, 09:52

SuSE-Version ?
rpm -qa | grep fontconfig

bzw wenn du apt hast: apt policy fontconfig ausführen und schauen woher dein fontconfig kommt, dann falls erforderlich downgrade auf die DVD/CD Version.

in die log-Dateien ~/.xsessions.error schauen (evtl vorher löschen, da da keine Datumsangaben drin stehen und wegen der Menge)

evtl staht auch was in /var/log/messages
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

newgro
Newbie
Newbie
Beiträge: 7
Registriert: 10. Dez 2005, 09:38

Beitrag von newgro » 27. Jul 2006, 15:44

Sorry @ oct2pus -> OpenSuSE 10.1
fontconfig-2.3.94-18.4

Wie kann ich ohne gui downgraden?
Sonst in den xsession-errors steht:

linux:/home/user # more .xsession-errors
/etc/X11/xim: Checking wether an input method should be started.
INPUT_METHOD is not set or empty (no user selected input method).
Trying to start a default input method for the locale de_DE.ISO-8859-1 ...
There is no default input method for the current locale.
xset: bad font path element (#163), possible causes are:
Directory does not exist or has wrong permissions
Directory missing fonts.dir
Incorrect font server address or syntax
startkde: Starting up...
kbuildsycoca running...
15:34:30: [WRN] Licq: Ignoriere zurückgebliebene Lock-Datei (PID 3789)
akode: Guessed format: xiph
QMultiInputContext::changeInputMethod(): index=0, slave=xim
QMultiInputContext::changeInputMethod(): index=0, slave=xim
KNotify::playTimeout
KNotify::playTimeout
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
kdecore (KAction): WARNING: KAction::plugAccel(): call to deprecated action.
KNotify::playTimeout
KNotify::playTimeout
QMultiInputContext::changeInputMethod(): index=0, slave=xim
QMultiInputContext::changeInputMethod(): index=0, slave=xim
KNotify::playTimeout
KNotify::playTimeout
KNotify::playTimeout
KNotify::playTimeout
QMultiInputContext::changeInputMethod(): index=0, slave=xim
KNotify::playTimeout
KNotify::playTimeout
QMultiInputContext::changeInputMethod(): index=0, slave=xim
QMultiInputContext::changeInputMethod(): index=0, slave=xim
QMultiInputContext::changeInputMethod(): index=0, slave=xim
kbuildsycoca running...
QMultiInputContext::changeInputMethod(): index=0, slave=xim

In /var/log/messages hatte ich gleich zuerst geguckt (und jetzt nochmal). Da steht aber nur was von mail-hosts, aber nix von x oder errors.

Cheers
Per

Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 27. Jul 2006, 16:04

smart query fontconfig ---show-channesl

smart install fontconfig-X.Y.Z.... (also die Version aus base verwenden)
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

newgro
Newbie
Newbie
Beiträge: 7
Registriert: 10. Dez 2005, 09:38

Beitrag von newgro » 27. Jul 2006, 16:47

Habe die fontconfig-2.3.94-17.i586.rpm installiert. Nun geht es wieder.

Danke schön.
Per

Gesperrt

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast